%define name	lucidor
%define version	0.9.1
%define release %mkrel 8

Summary: 	Lucidor is an e-book reader
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source0:	http://lucidor.org/lucidor/%{name}_%{version}.tar.xz
Source1:        %{name}.1.gz
URL:		http://lucidor.org/lucidor/
License:	GPLv3
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	libxulrunner2.0.1
Requires:	xulrunner
BuildArch:	noarch

%description
Lucidor is an e-book reader application.
It supports e-books in the EPUB file format, and catalogs in the OPDS format.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/%{name}-%{version}
exec ./%{name}.sh
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}

mkdir -p %buildroot/%_datadir/%{name}-%{version}
cp -af %{name} %buildroot/%_datadir/%{name}-%{version}
cp -af %{name}.sh %buildroot/%_datadir/%{name}-%{version}

%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Type=Application
Encoding=UTF-8
Name=Lucidor E-book Reader
Comment=Read and organize e-books
Icon=%{name}
Exec=%{name}
Categories=Office;X-MandrivaLinux-Office-Accessories;
Terminal=false
EOF

#man
mkdir -p %buildroot/%_datadir/man/man1
install -m 644 %SOURCE1 %buildroot/%_datadir/man/man1


#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 lucidor/chrome/icons/default/default48.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 lucidor/chrome/icons/default/default48.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 lucidor/chrome/icons/default/default48.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc gpl-3.0.txt *.html
%_bindir/%{name}
%{_datadir}/%name-%version
%{_datadir}/applications/%name.desktop
%{_datadir}/man/man1
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog
* Thu Apr 28 2011 Texstar <texstar at gmail.com> 0.9.1-8pclos2011
- rebuild

* Mon Mar 21 2011 Texstar <texstar at gmail.com> 0.9.1-7pclos2011
- rebuild

* Tue Mar 08 2011 Texstar <texstar at gmail.com> 0.9.1-6pclos2011
- rebuild

* Tue Mar 01 2011 Texstar <texstar at gmail.com> 0.9.1-5pclos2011
- rebuild

* Thu Dec 16 2010 Texstar <texstar at gmail.com> 0.9.1-4pclos2010
- rebuild for new xulrunner

* Mon Nov 22 2010 Texstar <texstar at gmail.com> 0.9.1-3pclos2010
- rebuild for new xulrunner

* Sun Oct 10 2010 Texstar <texstar at gmail.com> 0.9.1-2pclos2010
- rebuild

* Sat Jul 31 2010 Ertain <sirius-c at iname.com> 0.9.1-1pclos2010
- 0.9.1

* Thu Aug 06 2009 slick50 <lxgator@gmail.com> 0.6-1pclos2009
- initial package

